fix: gen-migrations
Some checks reported warnings
gen-migrations / gen-migrations (push) Has been cancelled

This commit is contained in:
Orion Kindel 2023-07-20 13:08:05 -05:00
parent da31970db6
commit 04ffd5da44
Signed by untrusted user who does not match committer: orion
GPG Key ID: 6D4165AE4C928719

View File

@ -35,7 +35,8 @@ if [[ ! -f "$migration" ]]; then
./scripts/build.sh base "$base" 1>&2 || (echo "base failed to build" && exit 1)
./scripts/build.sh head "$head" 1>&2 || (echo "head failed to build" && exit 1)
until pg_isready --quiet --user $POSTGRES_USER -p 5432 && pg_isready --user $POSTGRES_USER --quiet -p 5433; do true; done;
until pg_isready --quiet --username "$POSTGRES_USER" -p 5432 && \
pg_isready --quiet --username "$POSTGRES_USER" -p 5433; do true; done;
migra --unsafe "$(db 5432)" "$(db 5433)" || echo "migra exited with code $?. this is /probably/ fine" 1>&2
else